--
-- FlieglContainerCrane NEW SCRIPT FOR LS2009
--
-- @Original-author Manuel L. (1.LS-Modschmiede)
-- @author Hoschiander (www.mein-ls.de)
-- @date 28/10/2009

SowingMachineFill = {};

function SowingMachineFill.prerequisitesPresent(specializations)
    return true
end;

function SowingMachineFill:load(xmlFile)
	self.trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.trigger#index"));
	table.insert(g_currentMission, SowingMachineFillTrigger:new(self.trigger));

end;

function SowingMachineFill:delete()
end;

function SowingMachineFill:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SowingMachineFill:keyEvent(unicode, sym, modifier, isDown)
end;

function SowingMachineFill:update(dt)
end;

function SowingMachineFill:draw()
end;
